%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name xmltodict
%define version 0.12.0
%define unmangled_version 0.12.0
%define unmangled_version 0.12.0
%define release 1

Summary: Makes working with XML feel like you are working with JSON
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}xmltodict
Version: %{version}
Release: %{release}
Source0: xmltodict-%{unmangled_version}.tar.gz
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/xmltodict-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Martin Blech <martinblech@gmail.com>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://github.com/martinblech/xmltodict


%description
UNKNOWN


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
export LC_CTYPE=en_US.UTF-8
%setup -n xmltodict-%{unmangled_version} -n xmltodict-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
export LC_CTYPE=en_US.UTF-8
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
export LC_CTYPE=en_US.UTF-8
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
